%define modname ffmpeg
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A30_%{modname}.ini

Summary:	The ffmpeg module for PHP
Name:		php-%{modname}
Version:	0.4.6
Release:	%mkrel 7
Group:		Development/PHP
License:	GPL
URL:		http://sourceforge.net/projects/ffmpeg-php/
Source0:	%{modname}-php-%{version}.tar.bz2
Patch0:		php5-ffmpeg-php-0.4.2-lib64.diff
Patch1:		ffmpeg-php-0.4.6-system_gd_header.diff
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	ffmpeg-devel >= 0.4.9-0.pre1.4mdk
BuildRequires:	gd-devel
Provides:	php5-ffmpeg
Obsoletes:	php5-ffmpeg
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ffmpeg-php is an extension for PHP that adds an easy to use, object-oriented
API for accessing and retrieving information from movies and audio files. It
has methods for returning frames from movie files as images that can be
manipulated using PHP's image functions. This works well for automatically
creating thumbnail images from movie files, and it's fast enough to extract
thumbnails on the fly so that thumbnail images don't need to be stored.
ffmpeg-php is also useful for reporting the duration and bitrate of audio files
(mp3, wma...). ffmpeg-php can access many of the video formats supported by
ffmpeg (mov, avi, mpg, wmv...) 

%prep

%setup -q -n %{modname}-php-%{version}
%patch0 -p0
%patch1 -p0

# instead of a patch
rm -rf include
ln -snf %{_includedir} include

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ChangeLog EXPERIMENTAL INSTALL tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-7
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-6mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-5mdk
- rebuilt for php-5.1.3

* Mon Mar 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-4mdk
- rebuilt against new ffmpeg-devel
- fix patches

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.4.6-0.RC1.1mdk
- 0.4.6
- fix the lib64 patch
- use a hack instead of a patch to utilize system gd headers
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.4.2-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.4.2-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.4.2-1mdk
- 5.0.4

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-5mdk
- reworked the lib64 patch (P0)

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-2mdk
- nuke rpath

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-1mdk
- 0.4.2
- fix P0

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.1.1-2mdk
- fix deps

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.1.1-1mdk
- 0.4.1.1
- added P1
- lib64 fixes (P0)

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.3.7-0.alpha.1mdk
- rebuilt for php-5.0.3

* Thu Dec 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.3.7-0.alpha.1mdk
- initial mandrake package
